Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Interface Messages

All Known Implementing Classes:
  MessageFormatter

public interface Messages

Codes for language-independent server messaging.

The Messages class assigns ordinal numbers for all server messages that can be localized and may contain replaceable, numbered parameters. The message code, together with the actual parameter values, is sent to the client in a WorkflowException object thrown by the server. For example, the English version of the message to inform the user that a proposed organization name would not be unique might be:
`"{0} is already used as an organization name."`
The unique message code as defined in `Messages` is `ORG_NAMES_UNIQUE` `= 57`, corresponding to an entry in the PropertyResourceBundle com/bea/wlpi/common/Messages. If the server wants to send this message with an actual parameter value of `"WORKFLOW"`, it simply raises the following exception:
`throw new WorkflowException(WorkflowException.WARNING_WORKFLOW, Messages.ORG_NAMES_UNIQUE, new Object[] { "WORKFLOW" });` .

N.B. The symbolic constants in this interface relate to corresponding entries in the property resource bundle com.bea.wlpi.common.Messages

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ADDRESSED_MSG_RETRY_FAILED` `" An addressed message for instanceId {0} has been received but no matching instance was found.`
`static int` | `BUS_OP_CLASS_NAME_NOT_FOUND` `"The server could not find the Java class {0}."`
`static int` | `BUS_OP_JNDI_NAME_NOT_FOUND` `"The server could not find an EJB deployed with JNDI name {0}."`
`static int` | `BUS_OP_METHOD_FAILED` `"Empty instance object for business operation {0} in template {1}."`
`static int` | `BUS_OP_NO_INSTANCE_VARIABLE` `"Empty instance object for business operation {0} in template {1}."`
`static int` | `BUSINESS_CALENDAR` `"Business Calendar"`
`static int` | `BUSINESS_OP_NOT_FOUND` `"The system could not find the specified business operation {0}."`
`static int` | `BUSINESS_OPERATION` `"Business Operation"`
`static int` | `CAL_BAD_TIMEZONE` `"Timezone identifier {0} is not recognized."`
`static int` | `CAL_CANNOT_DELETE_TEMPLATE` `"Cannot delete a Business Calendar's template rules."`
`static int` | `CAL_ID_NOT_SPECIFIED` `"No business calendar id specified in expression."`
`static int` | `CAL_NO_XML_FOUND` `"No XML found for calendar."`
`static int` | `CAL_NOT_FOUND` `"The system could not find the specified business calendar {0}."`
`static int` | `CAL_PROCESSOR_NOT_FOUND` `"The system could not find the processor for business calendar {0}."`
`static int` | `CAL_RULE_BAD_CHAR` `"'Line {0}, column {1}: unexpected character {2} in Business Calendar rule."`
`static int` | `CAL_RULE_BAD_TOKEN` `"'Line {0}, column {1}: unexpected token {2} in Business Calendar rule."`
`static int` | `CAL_RULES_NOT_FOUND` `"Business Calendar {0} has no rules defined for the year {1}."`
`static int` | `CALENDAR_NAMES_UNIQUE` `"{0} is already used as business calendar name."`
`static int` | `CANNOT_CREATE_BUSINESS_OPERATION` `"Cannot create the business operation, because the name "{0}" already exists."`
`static int` | `CANNOT_DELETE_SYSTEM_USER` `"Cannot delete system user {0}."`
`static int` | `CANNOT_MAP_GROUP` `"Cannot map the role "{0}" to the system group "{1}"."`
`static int` | `CANNOT_UPDATE_BUSINESS_OPERATION` `"Cannot update the business operation, because the name "{0}" already exists."`
`static int` | `CHECKSUM_FAILURE` `"The file you are importing from has an invalid checksum.\n Import failed."`
`static int` | `CLASS_NOT_FOUND` `"Unable to load class object for {0}; {1}."`
`static int` | `CONSTRUCTOR_INVOCATION_FAILED` `"Creation of new {0} failed; {1}."`
`static int` | `CONSTRUCTOR_NOT_FOUND` `"No matching constructor was found on {0}; {1}."`
`static int` | `CONVERSION_FAILED` `"Unable to convert value {0} from {1} to required {2}."`
`static int` | `CREDENTIAL_INFO_SET` `"{0} is already set.`
`static int` | `DATABASE_CONNECT_FAILED` `"Unable to connect to database."`
`static int` | `DATE_CONFLICT_REPORT` `""The following template definitions cannot be activated because an\nactive template definition with the same effective date already exists.`
`static int` | `DATE_FORMAT_ERROR` `"Cannot parse the string as a Date value, \nthe value "{0}" should follow \nthe format "MM/dd/yyyy hh:mm:ss AM|PM GMT[+|-]hh[[:]mm]"."`
`static int` | `DATE_INVALID` `"The date {0} is invalid."`
`static int` | `DAY_NAME_INVALID` `"Invalid day name: {0}."`
`static int` | `DEFAULT_DATE_FORMAT` `"MM/dd/yyyy hh:mm:ss AM|PM GMT[+|-]hh[[:]mm]"`
`static int` | `DELETE_FILE_ERROR`
`static int` | `EFF_TEMPLATE_DEFN_NOT_FOUND` `"The system could not find an active, effective template definition to start."`
`static int` | `EJB_HOME_BINDING_INVALID` `"Object bound to {0} does not implement home interface {1}."`
`static int` | `EJB_HOME_ENV_NOT_SET` `"EJB home environment not set."`
`static int` | `EJB_HOME_INTERFACE_NOT_BOUND` `"No object is bound to {0} in specified context; {1}."`
`static int` | `EJB_HOME_INTERFACE_NOT_FOUND` `"Unable to load class object for home interface of type {0}; {1}."`
`static int` | `EJB_HOME_METHOD_NOT_FOUND` `"No home method was found on {0} matching {1}; {2}."`
`static int` | `EJB_INITIAL_CONTEXT_EXCEPTION` `"Unable to get initial context: environment may be invalid; {0}."`
`static int` | `EJB_METHOD_INVOCATION_FAILED` `"EJB {0} method invocation failed; {1}."`
`static int` | `EJB_REMOTE_INTERFACE_NOT_FOUND` `"Unable to load class object for remote interface of type {0}; {1}."`
`static int` | `EJB_REMOTE_METHOD_NOT_FOUND` `"No remote method was found on {0} matching {1}; {2}."`
`static int` | `EJB_REMOTE_OBJECT_NOT_FOUND` `"No remote object(s) were found."`
`static int` | `EJB_RETURN_CLASS_NOT_FOUND` `"Unable to load class for method return value of type {0}; {1}."`
`static int` | `EJB_SESSION_BEAN_NOT_CREATED` `"The home method did not return a session bean."`
`static int` | `EJB_UNEXPECTED_RETURN_TYPE` `"{0} object returned from method invocation not of expected type {1}."`
`static int` | `ERROR_CHECKING_LICENSE` `"network error or jndi error or ejb create error or workflow exception occured while checking templates For B2b Trading Partner License."`
`static int` | `ERROR_HANDLER_CUSTOM_ERROR` `"The application or workflow instance invoked an error handler."`
`static int` | `ERROR_HANDLER_EXCEPTION` `"An exception occurred during error handler processing."`
`static int` | `ERROR_HANDLER_NOT_FOUND` `"The system could not find the error handler {0}."`
`static int` | `ERROR_HANDLER_RETRIES_EXCEEDED` `"An error handler exceeded the maximum number of retries allowed."`
`static int` | `ERROR_SETTING_JNDI_OBJECT` `" Error while setting "{0}" license object in JNDI.`
`static int` | `ERROR_SYSTEM` `"System error"`
`static int` | `ERROR_UNKNOWN` `"Unknown error"`
`static int` | `ERROR_WORKFLOW` `"Workflow error"`
`static int` | `EVAL_ASSERT` `"Assertion failed."`
`static int` | `EVAL_ENDCOMMENT` `"Unmatched end-of-comment punctuation."`
`static int` | `EVAL_ERROR` `"Evaluator error: {0}."`
`static int` | `EVAL_EVENT_DATA_INVALID` `"The event data is null or in an invalid format."`
`static int` | `EVAL_FIELD_EVAL_UNSUPPORTED` `"Field evaluation is not supported in this context."`
`static int` | `EVAL_FIELD_QUAL_UNSUPP` `"The plugin does not support field qualifiers: {0}."`
`static int` | `EVAL_FIELD_REF_ILLEGAL` `"Field reference {0} is not allowed in this context."`
`static int` | `EVAL_FN_ARG_COUNT` `"Wrong number of arguments to {0} function (requires {1})."`
`static int` | `EVAL_FN_ARG_COUNT_R` `"Wrong number of arguments to {0} function (requires between {1} and {2})."`
`static int` | `EVAL_FN_EVAL_UNSUPPORTED` `"Function evaluation is not supported in this context."`
`static int` | `EVAL_FN_UNRECOGNIZED` `"Unrecognized function name: {0}."`
`static int` | `EVAL_INCOMPATIBLE_RETURN_TYPE` `"The expression does not yield the required return type.`
`static int` | `EVAL_INCOMPLETE_ESCAPE` `"Incomplete escape sequence: \\."`
`static int` | `EVAL_INTERNAL_CONSISTENCY_ERROR` `"Internal consistency error in evaluator: {0}."`
`static int` | `EVAL_INVALID_ESCAPE` `"Invalid escape sequence: \\{0}."`
`static int` | `EVAL_INVALID_OPERAND` `"Invalid {0} operand: {1}."`
`static int` | `EVAL_INVALID_OPERANDS` `"Invalid {0} operands: {1}, {2}."`
`static int` | `EVAL_MISMATCHED_OPERANDS` `"Mismatched comparison operands: {0}, {1}."`
`static int` | `EVAL_NULL_NOTSUPPORTED` `" Null is not supported in current setting, please check your "wli.bpm.server.evaluator.supportsNull" parameter in your server startup command.`
`static int` | `EVAL_STARTCOMMENT` `"Unmatched start-of-comment punctuation."`
`static int` | `EVAL_SYNTAX_ERROR` `"Syntax error: {0}."`
`static int` | `EVAL_UNCLOSEDSTR` `"Unclosed string: {0}."`
`static int` | `EVAL_UNHANDLED_XOBJECT` `"XPath expression returned an unhandled XObject type: {0}."`
`static int` | `EVAL_UNMATCHED` `"Illegal character: '{0}' at line {1}."`
`static int` | `EVAL_VARIABLE_REF_ILLEGAL` `"Variable reference {0} is not allowed in this context."`
`static int` | `EVAL_XML_DOC_REQD` `"The XPath function requires an XML document."`
`static int` | `EVAL_XML_ELEM_NOT_FOUND` `"The XML document does not contain the required element: {0}."`
`static int` | `EVAL_XPATH_ERROR` `"Error evaluating XPath expression."`
`static int` | `EVENT_KEY` `"Event Key"`
`static int` | `EVENT_KEY_MISSING` `" No EventKey for ContentType="{0}" and EventDescriptor="{1}" exists."`
`static int` | `EXCEEDED_TEMPLATES` `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n$$$$$$$$$$$$$$$$$Invalid number of Templates For B2b Trading Partner License$$$$$$$$$$$$$$$$$."`
`static int` | `FAILED_CONVERSION` `"Failed to assign variable {0}."`
`static int` | `FILE_EXIST`
`static int` | `FILE_NOT_FOUND` `"File "{0}" was not found."`
`static int` | `FTP_FILE_ERROR`
`static int` | `ILLEGAL_CONVERSION` `"Illegal variable value assigning: try to assign variable "{0}" of type {1} with value type {2}."`
`static int` | `IMPORT_SUMMARY` `"Finished import from file "{0}""`
`static int` | `IMPORTED_OBJECT` `"{0} : {1}"`
`static int` | `IMPORTED_REPORT` `"The following components were imported:"`
`static int` | `INPUT_VARIABLE_NOT_SET` `"Mandatory input variable {0} not set."`
`static int` | `INTERVAL_FROM_DATE_INVALID` `"The interval 'from' date is invalid."`
`static int` | `INTERVAL_TO_DATE_INVALID` `"The interval 'to' date is invalid."`
`static int` | `INTERVAL_UNIT_INVALID` `"Invalid interval unit: {0}."`
`static int` | `INVALID_LICENSE` `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n"`
`static int` | `INVALID_OBJECT_TYPE` `"The list contains an object that is not a {0} object."/```
`static int` | `INVALID_ORG_FOR_TEMPLATEDEFINITION` `" The org ID {0} is not valid for template definition ID {1} "`
`static int` | `INVALID_PACKAGE_VERSION` `" The package you are trying to import uses a newer format than that supported by your server.`
`static int` | `INVALID_PRIORITY_VALUE` `" Invalid expression for Priority.\n The expression must evaluate to an integer."`
`static int` | `INVALID_TIME_TO_LIVE_VALUE` `" Invalid expression for TimeToLive.\n The expression must evaluate to an integer."`
`static int` | `INVALID_WLI_DEVELOPER_LICENSE` `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n$$$$$$$$$$$$$$$$$Invalid WLI Developer License$$$$$$$$$$$$$$$$$."`
`static int` | `INVOCATION_OBJECT_NOT_FOUND` `"The server could not find the invocation object for a business operation."`
`static int` | `JNDI_PATH_NOT_SET` `" The system cannot find jndi path to "{0}" license object.`
`static int` | `JOIN_INSTANCE_NOT_FOUND` `"The system could not find the specified join instance: {0}."`
`static int` | `MAPPING_NOT_NULL` `"Cannot map a role to a blank group."`
`static int` | `METHOD_INVOCATION_FAILED` `"{0} method invocation failed; {1}."`
`static int` | `METHOD_NOT_FOUND` `"No method was found on {0} matching {1}; {2}."`
`static int` | `METHOD_WRONG_PARAMETER_COUNT` `"Wrong number of parameters for method: expected {1}, found {2}."`
`static int` | `MONTH_NAME_INVALID` `"Invalid month name: {0}."`
`static int` | `NESTED_EXCEPTION` `"Nested exception is"`
`static int` | `NO_EJB_FOR_HANDLE` `"Cannot dereference Handle to EJB for BO parameter"`
`static int` | `NO_PERM_DELETE_FILE`
`static int` | `NO_PERM_WRITE_FILE`
`static int` | `NO_SUCH_FILE`
`static int` | `NONACTIVATED_REPORT` `"The following template definitions cannot be activated due to unresolved references:"`
`static int` | `OBJECT_PUBLISHED_MISMATCH_REPORT` `"{0} "{1}" already exists with a different published status\nto the version you are trying to import; it cannot be over-written.\nDo you want to import the rest of the package?"`
`static int` | `ORG` `"Organization"`
`static int` | `ORG_INVALID` `"Only characters and numbers are valid in organization identifiers."`
`static int` | `ORG_NAMES_UNIQUE` `"{0} is already in use as an Organization name."`
`static int` | `ORG_NOT_FOUND` `"The system could not find the specified organization: {0}."`
`static int` | `ORG_USER_ADD_FAILED` `"The system could not add user {0} to organization {1}."`
`static int` | `ORG_USER_NOT_FOUND` `"User {0} does not belong to organization {1}."`
`static int` | `ORG_USER_REMOVE_FAILED` `"The system could not remove user {0} from organization {1}."`
`static int` | `PARAMETER_CAST_EXCEPTION` `"Value for parameter {0} cannot be cast to required type {1}."`
`static int` | `PARAMETER_CLASS_U_NOT_FOUND` `"Unable to load class (unwrapped if primitive) for parameter {0} of type {1}; {2}."`
`static int` | `PARAMETER_CLASS_W_NOT_FOUND` `"Unable to load class (wrapped if primitive) for parameter {0} of type {1}; {2}."`
`static int` | `PASSWORD_FAILURE` `"Wrong password.;`
`static int` | `PERM_GROUP_MISSING` `"A WLPI permission group is missing."`
`static int` | `PLUGIN_DEPENDENCY_CIRCULAR` `"The system detected a circular dependency while attempting to load plugin {0}."`
`static int` | `PLUGIN_DEPENDENCY_ERROR` `"The system could not load plugin {0} because the plugin {1}, on which it depends, is missing or failed to initialize."`
`static int` | `PLUGIN_ERROR` `"Error in plugin {0}: {1}"`
`static int` | `PLUGIN_FRAMEWORK_VERSION` `"The plugin {0} requires plugin framework version {1} or later."`
`static int` | `PLUGIN_INFO_NOT_FOUND` `"The {0} plugin does not define a {1} object with an ID of {2}."`
`static int` | `PLUGIN_INVALID_ACTION` `Plugin {0} provided an action or category {1} with an invalid parentSystemID: {2}."`
`static int` | `PLUGIN_NOT_FOUND` `"The system could not find the plugin "{1}"."`
`static int` | `PLUGIN_NOT_LOADED` `"A required plugin {0} is not loaded."`
`static int` | `PROGRAM_CALL_FAILED` `"Error calling program: {0} with arguments {1}."`
`static int` | `PUBLISHED_MISMATCH_REPORT` `"The following template definitions cannot be imported\ndue to published status mismatch with their templates:"`
`static int` | `READ_FILE_ERROR`
`static int` | `REALM_NOT_INSTALLED` `"No security realm has been installed."`
`static int` | `REALM_NOT_LISTABLE` `"The installed security realm {0} is not listable."`
`static int` | `REALM_NOT_UPDATEABLE` `"The security realm {0} is not updateable."`
`static int` | `REFERENCE_MISSING` `"Fixup error: missing reference {0}."`
`static int` | `REPORT_NAMES_UNIQUE` `"Report names must be unique."`
`static int` | `REQUEST_ABORTED_ERROR` `"The server was unable to complete your request."`
`static int` | `REQUEST_ABORTED_WARNING` `"The server was unable to complete your request."`
`static int` | `REROUTE_ALREADY_REROUTED` `"Source user is already rerouted during the period specified."`
`static int` | `REROUTE_CIRCULAR` `"Specified reroute would create a circular reference."`
`static int` | `REROUTE_DIFFERENT_USER` `"Source and destination of reroute must be different."`
`static int` | `REROUTE_EFF_BEFORE_EXP` `"Effective date must be before expiry date."`
`static int` | `RETRIEVING_INVALID_TEMPLATE` `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n$$$$$$$$$$$$$$$$$Retrieving Invalid Templates For B2b Trading Partner License$$$$$$$$$$$$$$$$$"`
`static int` | `ROLE` `"Role"`
`static int` | `ROLE_CANNOT_DELETE_ACTION_REF` `"The role {0} cannot be deleted, because it is referenced by one or more actions."`
`static int` | `ROLE_EMPTY` `"The role {0} is empty."`
`static int` | `ROLE_INVALID` `"Only characters and numbers are valid in role identifiers."`
`static int` | `ROLE_NAMES_UNIQUE` `"Role names must be unique within an organization."`
`static int` | `ROLE_NOT_FOUND` `"The system could not find the specified role: {0}."`
`static int` | `ROLE_NOT_MAPPED` `"The Process Integrator role {0} is not mapped to a WebLogic Server security group."`
`static int` | `ROLE_TASKS_ASSIGNED` `"Cannot delete role {0}, because there are tasks assigned to the role.` `Please reassign all tasks first."`
`static int` | `ROLE_USER_ADD_FAILED` `"The system could not add user {0} to role {1}."`
`static int` | `ROLE_USER_EMAIL_ID_UNDEFINED` `"User {0} in role {1} does not have an email address."`
`static int` | `ROLE_USER_REMOVE_FAILED` `"The system could not remove user {0} from role {1}."`
`static int` | `ROUTING_TABLE_FAILED` `"Routing table failed to identify suitable assignee."`
`static int` | `SENDING_EMAIL_FAILED` `"Sending email failed."`
`static int` | `TARGET_ACTION_NOT_FOUND` `"The system could not find the target action {0}."`
`static int` | `TARGET_EVENT_NOT_FOUND` `"The system could not find the target event {0}."`
`static int` | `TARGET_TASK_NOT_FOUND` `"The system could not find the target task {0}."`
`static int` | `TASK_ASSIGN_ALREADY_DONE` `"Cannot assign this task, because it is already done."`
`static int` | `TASK_CANNOT_DELETE_ACTION_REF` `"The task {0} cannot be deleted, because it is referenced by one or more actions."`
`static int` | `TASK_CANNOT_MARK` `"This task's properties do not allow it to be marked done."`
`static int` | `TASK_CANNOT_MODIFY` `"This task's properties do not allow it to be modified."`
`static int` | `TASK_CANNOT_REASSIGN` `"This task's properties do not allow it to be reassigned."`
`static int` | `TASK_CANNOT_UNMARK` `"This task's properties do not allow it to be unmarked done."`
`static int` | `TASK_EXECUTE_ALREADY_DONE` `"Cannot execute this task, because it is already done."`
`static int` | `TASK_EXECUTE_COMPLETE` `"Cannot execute this task, because the workflow is complete."`
`static int` | `TASK_EXECUTE_INACTIVE` `"Cannot execute this task, because it is inactive."`
`static int` | `TASK_EXECUTE_NOT_ASSIGNED` `"Cannot execute this task, because it is not assigned to you."`
`static int` | `TASK_INSTANCE_NOT_FOUND` `"The system could not find the specified task instance: {0}."`
`static int` | `TASK_NAMES_UNIQUE` `"Task names must be unique within a workflow."`
`static int` | `TASK_TAKE_ALREADY_DONE` `"Cannot take this task, because it is already done."`
`static int` | `TEMPLATE` `"Template"`
`static int` | `TEMPLATE_DEFINITION` `"Template Definition"`
`static int` | `TEMPLATE_DEFINITION_NOT_FOUND` `"Workflow Template Definition (id={0}) not found."`
`static int` | `TEMPLATE_LOCKED` `"The workflow template is currently locked by {0}."`
`static int` | `TEMPLATE_NOT_FOUND` `"Workflow Template (id={0}) not found."`
`static int` | `TEMPLATE_NOT_PUBLISHED` `"Cannot add a published template definition to a nonpublished template."`
`static int` | `TEMPLATEDEFINITION_NOT_FOUND` `" Warning! The system could not find an active, effective template definition for template ID {0} and org ID {1} "`
`static int` | `TEMPLATEDEFINITION_NOT_PUBLISHED` `"Cannot add a nonpublished template definition to a published template."`
`static int` | `UNABLE_TO_CONVERT_DTD` `"Unable to generate default document from DTD."`
`static int` | `UNABLE_TO_LOCATE_REPOSITORY_ENTITY` for file plugin
`static int` | `UNCHECKED` `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\nLicense check did not occur or failed during initialization For B2b Trading Partner License"`
`static int` | `UNKNOWN_OBJECT` `"Object"`
`static int` | `UNRESOLVED_OBJECT` `"{0} : {1} referenced by {2}"`
`static int` | `UNRESOLVED_REPORT` `"The following references could not be resolved:"`
`static int` | `USER` `"User"`
`static int` | `USER_CANNOT_DELETE_ACTION_REF` `"The user {0} cannot be deleted, because it is referenced by one or more actions."`
`static int` | `USER_EMAIL_ID_UNDEFINED` `"User {0} does not have an email address."`
`static int` | `USER_INVALID` `"Only characters and numbers are valid in user identifiers."`
`static int` | `USER_LOGGED_ON` `"User {0} is currently logged on and cannot be deleted."`
`static int` | `USER_NAMES_UNIQUE` `"The specified user {0} is already defined."`
`static int` | `USER_NOT_ASSIGNED_TASK` `"User {0} has not been assigned task {1}."`
`static int` | `USER_NOT_FOUND` `"The system could not find the specified user: {0}."`
`static int` | `USER_NOT_IN_ASSIGNED_ROLE` `"User {0} is not a member of the role {1} to which the task {2} was assigned."`
`static int` | `USER_NOT_IN_ROLE_ORG` `"The specified user {0} does not belong to the organization ({1}) within which the role {2} is defined."`
`static int` | `USER_ORG_UNDEFINED` `"No workflow organization defined for user {0}."`
`static int` | `USER_PERMISSION_DEFINE_WORKFLOWS` `"You do not have permission to define workflows."`
`static int` | `USER_PERMISSION_MAINTAIN_ORGS` `"You do not have permission to maintain organizations."`
`static int` | `USER_PERMISSION_MAINTAIN_ROLES` `"You do not have permission to maintain roles."`
`static int` | `USER_PERMISSION_MAINTAIN_USERS` `"You do not have permission to maintain users."`
`static int` | `USER_PERMISSION_MODIFY_CONFIG` `"You do not have permission to modify the server configuration."`
`static int` | `USER_PERMISSION_MONITOR_WORKFLOW` `"You do not have permission for workflow monitoring."`
`static int` | `USER_PERMISSION_REROUTE_TASK` `"You do not have permission to do task rerouting."`
`static int` | `USER_TASKS_ASSIGNED` `"Cannot delete user {0}, because there are tasks assigned to the user.` `Please reassign all tasks first."`
`static int` | `UTF_DATA_FORMAT_EXCEPTION` `"The system cannot read the template definition.\n\ Upgrading the server to run on a JDK1.3 Java VM may cure the problem."`
`static int` | `VARIABLE_CANNOT_DELETE_ACTION_REF` `"The variable {0} cannot be deleted, because it is referenced by one or more actions."`
`static int` | `VARIABLE_CANNOT_DELETE_DECISION_REF` `"The variable {0} cannot be deleted, because it is referenced by one or more decisions."`
`static int` | `VARIABLE_CANNOT_DELETE_TEMPL_REF` `"The variable {0} cannot be deleted, because it is referenced by the instance ID expression or the trigger definition."`
`static int` | `VARIABLE_EXISTS_AS_ANOTHER_TYPE` `"The specified variable name "{0}" is already defined as type "{1}"."`
`static int` | `VARIABLE_INSTANCE_NOT_FOUND` `"The system could not find the specified variable instance: {0}."`
`static int` | `VARIABLE_NAME_BLANK` `"Variable names cannot be blank."`
`static int` | `VARIABLE_NAMES_UNIQUE` `"Variable names must be unique."`
`static int` | `WARNING_WORKFLOW` `"Workflow warning"`
`static int` | `WORKFLOW_CANNOT_DELETE_ACTION_REF` `"The workflow {0} cannot be deleted, because it is referenced by one or more actions."`
`static int` | `WORKFLOW_COMPLETE` `"This workflow cannot be modified, because it is complete."`
`static int` | `WORKFLOW_INACTIVE` `"Cannot instantiate a workflow, because the template definition is inactive."`
`static int` | `WORKFLOW_INSTANCE_NOT_FOUND` `"The system could not find the specified workflow instance: {0}."`
`static int` | `WORKFLOW_OBJECT_PUBLISHED` `"This {0} is part of a published package and cannot be modified."`
`static int` | `WORKFLOW_SUSPENDED` `"This workflow cannot be modified, because it is suspended."`
`static int` | `WORKFLOW_TEMPLATE_NAMES_UNIQUE` `"Workflow template names must be unique."`
`static int` | `WORKLOAD_NAMES_UNIQUE` `"Workload graph names must be unique."`
`static int` | `WRITE_FILE_ERROR`
`static int` | `WRONG_START_DATE_EXPRESSION` `"Wrong timed start date expression in start node: {0}.\n{1}."`
`static int` | `XML_PARSE_FAILED` `"An error occurred when parsing an XML document."`
`static int` | `XML_REPOSITORY_ENTITY` `"XML Repository Entity"`
`static int` | `XML_REPOSITORY_FOLDER` `"XML Repository Folder"`
`static int` | `XML_SYNTAX_ERROR` `"XML Syntax error at line {0}, column {1}."`
`static int` | `XML_VERSION_MISMATCH` `"The definition was created with a later of version of the product.`

Field Detail

### ERROR_UNKNOWN

    public static final int ERROR_UNKNOWN

  `"Unknown error"`

### ERROR_SYSTEM

    public static final int ERROR_SYSTEM

  `"System error"`

### ERROR_WORKFLOW

    public static final int ERROR_WORKFLOW

  `"Workflow error"`

### WARNING_WORKFLOW

    public static final int WARNING_WORKFLOW

  `"Workflow warning"`

### NESTED_EXCEPTION

    public static final int NESTED_EXCEPTION

  `"Nested exception is"`

### REQUEST_ABORTED_WARNING

    public static final int REQUEST_ABORTED_WARNING

  `"The server was unable to complete your request."`

### REQUEST_ABORTED_ERROR

    public static final int REQUEST_ABORTED_ERROR

  `"The server was unable to complete your request."`

### WORKFLOW_COMPLETE

    public static final int WORKFLOW_COMPLETE

  `"This workflow cannot be modified, because it is complete."`

### TASK_CANNOT_MARK

    public static final int TASK_CANNOT_MARK

  `"This task's properties do not allow it to be marked done."`

### TASK_CANNOT_UNMARK

    public static final int TASK_CANNOT_UNMARK

  `"This task's properties do not allow it to be unmarked done."`

### TASK_CANNOT_REASSIGN

    public static final int TASK_CANNOT_REASSIGN

  `"This task's properties do not allow it to be reassigned."`

### TASK_CANNOT_MODIFY

    public static final int TASK_CANNOT_MODIFY

  `"This task's properties do not allow it to be modified."`

### TASK_TAKE_ALREADY_DONE

    public static final int TASK_TAKE_ALREADY_DONE

  `"Cannot take this task, because it is already done."`

### TASK_ASSIGN_ALREADY_DONE

    public static final int TASK_ASSIGN_ALREADY_DONE

  `"Cannot assign this task, because it is already done."`

### TASK_EXECUTE_ALREADY_DONE

    public static final int TASK_EXECUTE_ALREADY_DONE

  `"Cannot execute this task, because it is already done."`

### TASK_EXECUTE_INACTIVE

    public static final int TASK_EXECUTE_INACTIVE

  `"Cannot execute this task, because it is inactive."`

### TASK_EXECUTE_COMPLETE

    public static final int TASK_EXECUTE_COMPLETE

  `"Cannot execute this task, because the workflow is complete."`

### TASK_EXECUTE_NOT_ASSIGNED

    public static final int TASK_EXECUTE_NOT_ASSIGNED

  `"Cannot execute this task, because it is not assigned to you."`

### REROUTE_DIFFERENT_USER

    public static final int REROUTE_DIFFERENT_USER

  `"Source and destination of reroute must be different."`

### REROUTE_EFF_BEFORE_EXP

    public static final int REROUTE_EFF_BEFORE_EXP

  `"Effective date must be before expiry date."`

### REROUTE_ALREADY_REROUTED

    public static final int REROUTE_ALREADY_REROUTED

  `"Source user is already rerouted during the period specified."`

### REROUTE_CIRCULAR

    public static final int REROUTE_CIRCULAR

  `"Specified reroute would create a circular reference."`

### TASK_NAMES_UNIQUE

    public static final int TASK_NAMES_UNIQUE

  `"Task names must be unique within a workflow."`

### ORG_NAMES_UNIQUE

    public static final int ORG_NAMES_UNIQUE

  `"{0} is already in use as an Organization name."`

### ROLE_NAMES_UNIQUE

    public static final int ROLE_NAMES_UNIQUE

  `"Role names must be unique within an organization."`

### USER_NAMES_UNIQUE

    public static final int USER_NAMES_UNIQUE

  `"The specified user {0} is already defined."`

### REPORT_NAMES_UNIQUE

    public static final int REPORT_NAMES_UNIQUE

  `"Report names must be unique."`

### VARIABLE_NAMES_UNIQUE

    public static final int VARIABLE_NAMES_UNIQUE

  `"Variable names must be unique."`

### WORKFLOW_TEMPLATE_NAMES_UNIQUE

    public static final int WORKFLOW_TEMPLATE_NAMES_UNIQUE

  `"Workflow template names must be unique."`

### WORKLOAD_NAMES_UNIQUE

    public static final int WORKLOAD_NAMES_UNIQUE

  `"Workload graph names must be unique."`

### CALENDAR_NAMES_UNIQUE

    public static final int CALENDAR_NAMES_UNIQUE

  `"{0} is already used as business calendar name."`

### USER_LOGGED_ON

    public static final int USER_LOGGED_ON

  `"User {0} is currently logged on and cannot be deleted."`

### USER_TASKS_ASSIGNED

    public static final int USER_TASKS_ASSIGNED

  `"Cannot delete user {0}, because there are tasks assigned to the user.` `Please reassign all tasks first."`

### USER_PERMISSION_MAINTAIN_USERS

    public static final int USER_PERMISSION_MAINTAIN_USERS

  `"You do not have permission to maintain users."`

### USER_PERMISSION_MAINTAIN_ROLES

    public static final int USER_PERMISSION_MAINTAIN_ROLES

  `"You do not have permission to maintain roles."`

### USER_PERMISSION_MAINTAIN_ORGS

    public static final int USER_PERMISSION_MAINTAIN_ORGS

  `"You do not have permission to maintain organizations."`

### USER_PERMISSION_DEFINE_WORKFLOWS

    public static final int USER_PERMISSION_DEFINE_WORKFLOWS

  `"You do not have permission to define workflows."`

### USER_PERMISSION_MONITOR_WORKFLOW

    public static final int USER_PERMISSION_MONITOR_WORKFLOW

  `"You do not have permission for workflow monitoring."`

### USER_PERMISSION_REROUTE_TASK

    public static final int USER_PERMISSION_REROUTE_TASK

  `"You do not have permission to do task rerouting."`

### USER_PERMISSION_MODIFY_CONFIG

    public static final int USER_PERMISSION_MODIFY_CONFIG

  `"You do not have permission to modify the server configuration."`

### VARIABLE_CANNOT_DELETE_TEMPL_REF

    public static final int VARIABLE_CANNOT_DELETE_TEMPL_REF

  `"The variable {0} cannot be deleted, because it is referenced by the instance ID expression or the trigger definition."`

### VARIABLE_CANNOT_DELETE_ACTION_REF

    public static final int VARIABLE_CANNOT_DELETE_ACTION_REF

  `"The variable {0} cannot be deleted, because it is referenced by one or more actions."`

### VARIABLE_CANNOT_DELETE_DECISION_REF

    public static final int VARIABLE_CANNOT_DELETE_DECISION_REF

  `"The variable {0} cannot be deleted, because it is referenced by one or more decisions."`

### VARIABLE_NAME_BLANK

    public static final int VARIABLE_NAME_BLANK

  `"Variable names cannot be blank."`

### ROLE_TASKS_ASSIGNED

    public static final int ROLE_TASKS_ASSIGNED

  `"Cannot delete role {0}, because there are tasks assigned to the role.` `Please reassign all tasks first."`

### WORKFLOW_CANNOT_DELETE_ACTION_REF

    public static final int WORKFLOW_CANNOT_DELETE_ACTION_REF

  `"The workflow {0} cannot be deleted, because it is referenced by one or more actions."`

### TASK_CANNOT_DELETE_ACTION_REF

    public static final int TASK_CANNOT_DELETE_ACTION_REF

  `"The task {0} cannot be deleted, because it is referenced by one or more actions."`

### ROLE_CANNOT_DELETE_ACTION_REF

    public static final int ROLE_CANNOT_DELETE_ACTION_REF

  `"The role {0} cannot be deleted, because it is referenced by one or more actions."`

### USER_CANNOT_DELETE_ACTION_REF

    public static final int USER_CANNOT_DELETE_ACTION_REF

  `"The user {0} cannot be deleted, because it is referenced by one or more actions."`

### WORKFLOW_SUSPENDED

    public static final int WORKFLOW_SUSPENDED

  `"This workflow cannot be modified, because it is suspended."`

### CAL_CANNOT_DELETE_TEMPLATE

    public static final int CAL_CANNOT_DELETE_TEMPLATE

  `"Cannot delete a Business Calendar's template rules."`

### CAL_ID_NOT_SPECIFIED

    public static final int CAL_ID_NOT_SPECIFIED

  `"No business calendar id specified in expression."`

### CAL_NO_XML_FOUND

    public static final int CAL_NO_XML_FOUND

  `"No XML found for calendar."`

### CAL_NOT_FOUND

    public static final int CAL_NOT_FOUND

  `"The system could not find the specified business calendar {0}."`

### CAL_RULES_NOT_FOUND

    public static final int CAL_RULES_NOT_FOUND

  `"Business Calendar {0} has no rules defined for the year {1}."`

### CAL_PROCESSOR_NOT_FOUND

    public static final int CAL_PROCESSOR_NOT_FOUND

  `"The system could not find the processor for business calendar {0}."`

### CAL_RULE_BAD_TOKEN

    public static final int CAL_RULE_BAD_TOKEN

  `"'Line {0}, column {1}: unexpected token {2} in Business Calendar rule."`

### CAL_RULE_BAD_CHAR

    public static final int CAL_RULE_BAD_CHAR

  `"'Line {0}, column {1}: unexpected character {2} in Business Calendar rule."`

### CAL_BAD_TIMEZONE

    public static final int CAL_BAD_TIMEZONE

  `"Timezone identifier {0} is not recognized."`

### EJB_HOME_ENV_NOT_SET

    public static final int EJB_HOME_ENV_NOT_SET

  `"EJB home environment not set."`

### EJB_INITIAL_CONTEXT_EXCEPTION

    public static final int EJB_INITIAL_CONTEXT_EXCEPTION

  `"Unable to get initial context: environment may be invalid; {0}."`

### EJB_HOME_INTERFACE_NOT_FOUND

    public static final int EJB_HOME_INTERFACE_NOT_FOUND

  `"Unable to load class object for home interface of type {0}; {1}."`

### EJB_REMOTE_INTERFACE_NOT_FOUND

    public static final int EJB_REMOTE_INTERFACE_NOT_FOUND

  `"Unable to load class object for remote interface of type {0}; {1}."`

### EJB_HOME_INTERFACE_NOT_BOUND

    public static final int EJB_HOME_INTERFACE_NOT_BOUND

  `"No object is bound to {0} in specified context; {1}."`

### EJB_HOME_BINDING_INVALID

    public static final int EJB_HOME_BINDING_INVALID

  `"Object bound to {0} does not implement home interface {1}."`

### EJB_HOME_METHOD_NOT_FOUND

    public static final int EJB_HOME_METHOD_NOT_FOUND

  `"No home method was found on {0} matching {1}; {2}."`

### EJB_REMOTE_METHOD_NOT_FOUND

    public static final int EJB_REMOTE_METHOD_NOT_FOUND

  `"No remote method was found on {0} matching {1}; {2}."`

### EJB_RETURN_CLASS_NOT_FOUND

    public static final int EJB_RETURN_CLASS_NOT_FOUND

  `"Unable to load class for method return value of type {0}; {1}."`

### EJB_REMOTE_OBJECT_NOT_FOUND

    public static final int EJB_REMOTE_OBJECT_NOT_FOUND

  `"No remote object(s) were found."`

### EJB_METHOD_INVOCATION_FAILED

    public static final int EJB_METHOD_INVOCATION_FAILED

  `"EJB {0} method invocation failed; {1}."`

### EJB_UNEXPECTED_RETURN_TYPE

    public static final int EJB_UNEXPECTED_RETURN_TYPE

  `"{0} object returned from method invocation not of expected type {1}."`

### METHOD_WRONG_PARAMETER_COUNT

    public static final int METHOD_WRONG_PARAMETER_COUNT

  `"Wrong number of parameters for method: expected {1}, found {2}."`

### PARAMETER_CLASS_W_NOT_FOUND

    public static final int PARAMETER_CLASS_W_NOT_FOUND

  `"Unable to load class (wrapped if primitive) for parameter {0} of type {1}; {2}."`

### PARAMETER_CLASS_U_NOT_FOUND

    public static final int PARAMETER_CLASS_U_NOT_FOUND

  `"Unable to load class (unwrapped if primitive) for parameter {0} of type {1}; {2}."`

### PARAMETER_CAST_EXCEPTION

    public static final int PARAMETER_CAST_EXCEPTION

  `"Value for parameter {0} cannot be cast to required type {1}."`

### EJB_SESSION_BEAN_NOT_CREATED

    public static final int EJB_SESSION_BEAN_NOT_CREATED

  `"The home method did not return a session bean."`

### TEMPLATE_NOT_FOUND

    public static final int TEMPLATE_NOT_FOUND

  `"Workflow Template (id={0}) not found."`

### TEMPLATE_DEFINITION_NOT_FOUND

    public static final int TEMPLATE_DEFINITION_NOT_FOUND

  `"Workflow Template Definition (id={0}) not found."`

### EFF_TEMPLATE_DEFN_NOT_FOUND

    public static final int EFF_TEMPLATE_DEFN_NOT_FOUND

  `"The system could not find an active, effective template definition to start."`

### XML_SYNTAX_ERROR

    public static final int XML_SYNTAX_ERROR

  `"XML Syntax error at line {0}, column {1}."`

### CLASS_NOT_FOUND

    public static final int CLASS_NOT_FOUND

  `"Unable to load class object for {0}; {1}."`

### CONSTRUCTOR_NOT_FOUND

    public static final int CONSTRUCTOR_NOT_FOUND

  `"No matching constructor was found on {0}; {1}."`

### CONSTRUCTOR_INVOCATION_FAILED

    public static final int CONSTRUCTOR_INVOCATION_FAILED

  `"Creation of new {0} failed; {1}."`

### METHOD_NOT_FOUND

    public static final int METHOD_NOT_FOUND

  `"No method was found on {0} matching {1}; {2}."`

### METHOD_INVOCATION_FAILED

    public static final int METHOD_INVOCATION_FAILED

  `"{0} method invocation failed; {1}."`

### TEMPLATE_LOCKED

    public static final int TEMPLATE_LOCKED

  `"The workflow template is currently locked by {0}."`

### INTERVAL_FROM_DATE_INVALID

    public static final int INTERVAL_FROM_DATE_INVALID

  `"The interval 'from' date is invalid."`

### INTERVAL_TO_DATE_INVALID

    public static final int INTERVAL_TO_DATE_INVALID

  `"The interval 'to' date is invalid."`

### DATE_INVALID

    public static final int DATE_INVALID

  `"The date {0} is invalid."`

### MONTH_NAME_INVALID

    public static final int MONTH_NAME_INVALID

  `"Invalid month name: {0}."`

### DAY_NAME_INVALID

    public static final int DAY_NAME_INVALID

  `"Invalid day name: {0}."`

### TASK_INSTANCE_NOT_FOUND

    public static final int TASK_INSTANCE_NOT_FOUND

  `"The system could not find the specified task instance: {0}."`

### INPUT_VARIABLE_NOT_SET

    public static final int INPUT_VARIABLE_NOT_SET

  `"Mandatory input variable {0} not set."`

### JOIN_INSTANCE_NOT_FOUND

    public static final int JOIN_INSTANCE_NOT_FOUND

  `"The system could not find the specified join instance: {0}."`

### VARIABLE_INSTANCE_NOT_FOUND

    public static final int VARIABLE_INSTANCE_NOT_FOUND

  `"The system could not find the specified variable instance: {0}."`

### ORG_NOT_FOUND

    public static final int ORG_NOT_FOUND

  `"The system could not find the specified organization: {0}."`

### ROLE_NOT_FOUND

    public static final int ROLE_NOT_FOUND

  `"The system could not find the specified role: {0}."`

### USER_NOT_FOUND

    public static final int USER_NOT_FOUND

  `"The system could not find the specified user: {0}."`

### ORG_USER_NOT_FOUND

    public static final int ORG_USER_NOT_FOUND

  `"User {0} does not belong to organization {1}."`

### ORG_USER_ADD_FAILED

    public static final int ORG_USER_ADD_FAILED

  `"The system could not add user {0} to organization {1}."`

### ROLE_USER_ADD_FAILED

    public static final int ROLE_USER_ADD_FAILED

  `"The system could not add user {0} to role {1}."`

### ORG_USER_REMOVE_FAILED

    public static final int ORG_USER_REMOVE_FAILED

  `"The system could not remove user {0} from organization {1}."`

### ROLE_USER_REMOVE_FAILED

    public static final int ROLE_USER_REMOVE_FAILED

  `"The system could not remove user {0} from role {1}."`

### USER_NOT_IN_ROLE_ORG

    public static final int USER_NOT_IN_ROLE_ORG

  `"The specified user {0} does not belong to the organization ({1}) within which the role {2} is defined."`

### REALM_NOT_INSTALLED

    public static final int REALM_NOT_INSTALLED

  `"No security realm has been installed."`

### REALM_NOT_LISTABLE

    public static final int REALM_NOT_LISTABLE

  `"The installed security realm {0} is not listable."`

### REALM_NOT_UPDATEABLE

    public static final int REALM_NOT_UPDATEABLE

  `"The security realm {0} is not updateable."`

### DATABASE_CONNECT_FAILED

    public static final int DATABASE_CONNECT_FAILED

  `"Unable to connect to database."`

### ROLE_EMPTY

    public static final int ROLE_EMPTY

  `"The role {0} is empty."`

### REFERENCE_MISSING

    public static final int REFERENCE_MISSING

  `"Fixup error: missing reference {0}."`

### INTERVAL_UNIT_INVALID

    public static final int INTERVAL_UNIT_INVALID

  `"Invalid interval unit: {0}."`

### ILLEGAL_CONVERSION

    public static final int ILLEGAL_CONVERSION

  `"Illegal variable value assigning: try to assign variable "{0}" of type {1} with value type {2}."`

### WORKFLOW_INACTIVE

    public static final int WORKFLOW_INACTIVE

  `"Cannot instantiate a workflow, because the template definition is inactive."`

### TARGET_TASK_NOT_FOUND

    public static final int TARGET_TASK_NOT_FOUND

  `"The system could not find the target task {0}."`

### TARGET_EVENT_NOT_FOUND

    public static final int TARGET_EVENT_NOT_FOUND

  `"The system could not find the target event {0}."`

### TARGET_ACTION_NOT_FOUND

    public static final int TARGET_ACTION_NOT_FOUND

  `"The system could not find the target action {0}."`

### BUSINESS_OP_NOT_FOUND

    public static final int BUSINESS_OP_NOT_FOUND

  `"The system could not find the specified business operation {0}."`

### PROGRAM_CALL_FAILED

    public static final int PROGRAM_CALL_FAILED

  `"Error calling program: {0} with arguments {1}."`

### USER_EMAIL_ID_UNDEFINED

    public static final int USER_EMAIL_ID_UNDEFINED

  `"User {0} does not have an email address."`

### ROLE_USER_EMAIL_ID_UNDEFINED

    public static final int ROLE_USER_EMAIL_ID_UNDEFINED

  `"User {0} in role {1} does not have an email address."`

### ROUTING_TABLE_FAILED

    public static final int ROUTING_TABLE_FAILED

  `"Routing table failed to identify suitable assignee."`

### USER_ORG_UNDEFINED

    public static final int USER_ORG_UNDEFINED

  `"No workflow organization defined for user {0}."`

### WRONG_START_DATE_EXPRESSION

    public static final int WRONG_START_DATE_EXPRESSION

  `"Wrong timed start date expression in start node: {0}.\n{1}."`

### ERROR_HANDLER_NOT_FOUND

    public static final int ERROR_HANDLER_NOT_FOUND

  `"The system could not find the error handler {0}."`

### ERROR_HANDLER_EXCEPTION

    public static final int ERROR_HANDLER_EXCEPTION

  `"An exception occurred during error handler processing."`

### ERROR_HANDLER_RETRIES_EXCEEDED

    public static final int ERROR_HANDLER_RETRIES_EXCEEDED

  `"An error handler exceeded the maximum number of retries allowed."`

### ERROR_HANDLER_CUSTOM_ERROR

    public static final int ERROR_HANDLER_CUSTOM_ERROR

  `"The application or workflow instance invoked an error handler."`

### WORKFLOW_INSTANCE_NOT_FOUND

    public static final int WORKFLOW_INSTANCE_NOT_FOUND

  `"The system could not find the specified workflow instance: {0}."`

### XML_PARSE_FAILED

    public static final int XML_PARSE_FAILED

  `"An error occurred when parsing an XML document."`

### XML_VERSION_MISMATCH

    public static final int XML_VERSION_MISMATCH

  `"The definition was created with a later of version of the product. Upgrade your Studio to version {0} or later."`

### BUS_OP_JNDI_NAME_NOT_FOUND

    public static final int BUS_OP_JNDI_NAME_NOT_FOUND

  `"The server could not find an EJB deployed with JNDI name {0}."`

### BUS_OP_CLASS_NAME_NOT_FOUND

    public static final int BUS_OP_CLASS_NAME_NOT_FOUND

  `"The server could not find the Java class {0}."`

### INVOCATION_OBJECT_NOT_FOUND

    public static final int INVOCATION_OBJECT_NOT_FOUND

  `"The server could not find the invocation object for a business operation."`

### UTF_DATA_FORMAT_EXCEPTION

    public static final int UTF_DATA_FORMAT_EXCEPTION

  `"The system cannot read the template definition.\n\ Upgrading the server to run on a JDK1.3 Java VM may cure the problem."`

### BUS_OP_NO_INSTANCE_VARIABLE

    public static final int BUS_OP_NO_INSTANCE_VARIABLE

  `"Empty instance object for business operation {0} in template {1}."`

### BUS_OP_METHOD_FAILED

    public static final int BUS_OP_METHOD_FAILED

  `"Empty instance object for business operation {0} in template {1}."`

### PLUGIN_ERROR

    public static final int PLUGIN_ERROR

  `"Error in plugin {0}: {1}"`

### PLUGIN_NOT_LOADED

    public static final int PLUGIN_NOT_LOADED

  `"A required plugin {0} is not loaded."`

### PLUGIN_NOT_FOUND

    public static final int PLUGIN_NOT_FOUND

  `"The system could not find the plugin "{1}"."`

### PLUGIN_FRAMEWORK_VERSION

    public static final int PLUGIN_FRAMEWORK_VERSION

  `"The plugin {0} requires plugin framework version {1} or later."`

### PLUGIN_DEPENDENCY_ERROR

    public static final int PLUGIN_DEPENDENCY_ERROR

  `"The system could not load plugin {0} because the plugin {1}, on which it depends, is missing or failed to initialize."`

### PLUGIN_INVALID_ACTION

    public static final int PLUGIN_INVALID_ACTION

  `Plugin {0} provided an action or category {1} with an invalid parentSystemID: {2}."`

### PLUGIN_DEPENDENCY_CIRCULAR

    public static final int PLUGIN_DEPENDENCY_CIRCULAR

  `"The system detected a circular dependency while attempting to load plugin {0}."`

### FAILED_CONVERSION

    public static final int FAILED_CONVERSION

  `"Failed to assign variable {0}."`

### EVAL_SYNTAX_ERROR

    public static final int EVAL_SYNTAX_ERROR

  `"Syntax error: {0}."`

### EVAL_INVALID_OPERAND

    public static final int EVAL_INVALID_OPERAND

  `"Invalid {0} operand: {1}."`

### EVAL_INVALID_OPERANDS

    public static final int EVAL_INVALID_OPERANDS

  `"Invalid {0} operands: {1}, {2}."`

### EVAL_MISMATCHED_OPERANDS

    public static final int EVAL_MISMATCHED_OPERANDS

  `"Mismatched comparison operands: {0}, {1}."`

### EVAL_INTERNAL_CONSISTENCY_ERROR

    public static final int EVAL_INTERNAL_CONSISTENCY_ERROR

  `"Internal consistency error in evaluator: {0}."`

### EVAL_FIELD_EVAL_UNSUPPORTED

    public static final int EVAL_FIELD_EVAL_UNSUPPORTED

  `"Field evaluation is not supported in this context."`

### EVAL_FIELD_REF_ILLEGAL

    public static final int EVAL_FIELD_REF_ILLEGAL

  `"Field reference {0} is not allowed in this context."`

### EVAL_VARIABLE_REF_ILLEGAL

    public static final int EVAL_VARIABLE_REF_ILLEGAL

  `"Variable reference {0} is not allowed in this context."`

### EVAL_FN_UNRECOGNIZED

    public static final int EVAL_FN_UNRECOGNIZED

  `"Unrecognized function name: {0}."`

### EVAL_FN_ARG_COUNT

    public static final int EVAL_FN_ARG_COUNT

  `"Wrong number of arguments to {0} function (requires {1})."`

### EVAL_FN_ARG_COUNT_R

    public static final int EVAL_FN_ARG_COUNT_R

  `"Wrong number of arguments to {0} function (requires between {1} and {2})."`

### EVAL_XML_DOC_REQD

    public static final int EVAL_XML_DOC_REQD

  `"The XPath function requires an XML document."`

### EVAL_UNHANDLED_XOBJECT

    public static final int EVAL_UNHANDLED_XOBJECT

  `"XPath expression returned an unhandled XObject type: {0}."`

### EVAL_XPATH_ERROR

    public static final int EVAL_XPATH_ERROR

  `"Error evaluating XPath expression."`

### EVAL_EVENT_DATA_INVALID

    public static final int EVAL_EVENT_DATA_INVALID

  `"The event data is null or in an invalid format."`

### EVAL_XML_ELEM_NOT_FOUND

    public static final int EVAL_XML_ELEM_NOT_FOUND

  `"The XML document does not contain the required element: {0}."`

### EVAL_ERROR

    public static final int EVAL_ERROR

  `"Evaluator error: {0}."`

### EVAL_ENDCOMMENT

    public static final int EVAL_ENDCOMMENT

  `"Unmatched end-of-comment punctuation."`

### EVAL_STARTCOMMENT

    public static final int EVAL_STARTCOMMENT

  `"Unmatched start-of-comment punctuation."`

### EVAL_UNCLOSEDSTR

    public static final int EVAL_UNCLOSEDSTR

  `"Unclosed string: {0}."`

### EVAL_UNMATCHED

    public static final int EVAL_UNMATCHED

  `"Illegal character: '{0}' at line {1}."`

### EVAL_ASSERT

    public static final int EVAL_ASSERT

  `"Assertion failed."`

### EVAL_INCOMPLETE_ESCAPE

    public static final int EVAL_INCOMPLETE_ESCAPE

  `"Incomplete escape sequence: \\."`

### EVAL_INVALID_ESCAPE

    public static final int EVAL_INVALID_ESCAPE

  `"Invalid escape sequence: \\{0}."`

### EVAL_FIELD_QUAL_UNSUPP

    public static final int EVAL_FIELD_QUAL_UNSUPP

  `"The plugin does not support field qualifiers: {0}."`

### EVAL_FN_EVAL_UNSUPPORTED

    public static final int EVAL_FN_EVAL_UNSUPPORTED

  `"Function evaluation is not supported in this context."`

### WORKFLOW_OBJECT_PUBLISHED

    public static final int WORKFLOW_OBJECT_PUBLISHED

  `"This {0} is part of a published package and cannot be modified."`

### PLUGIN_INFO_NOT_FOUND

    public static final int PLUGIN_INFO_NOT_FOUND

  `"The {0} plugin does not define a {1} object with an ID of {2}."`

### INVALID_OBJECT_TYPE

    public static final int INVALID_OBJECT_TYPE

  `"The list contains an object that is not a {0} object."/```

### PERM_GROUP_MISSING

    public static final int PERM_GROUP_MISSING

  `"A WLPI permission group is missing."`

### ROLE_NOT_MAPPED

    public static final int ROLE_NOT_MAPPED

  `"The Process Integrator role {0} is not mapped to a WebLogic Server security group."`

### CHECKSUM_FAILURE

    public static final int CHECKSUM_FAILURE

  `"The file you are importing from has an invalid checksum.\n Import failed."`

### PASSWORD_FAILURE

    public static final int PASSWORD_FAILURE

  `"Wrong password.;`

### CREDENTIAL_INFO_SET

    public static final int CREDENTIAL_INFO_SET

  `"{0} is already set. \n Credentials can be set only once per package.;`

### CANNOT_DELETE_SYSTEM_USER

    public static final int CANNOT_DELETE_SYSTEM_USER

  `"Cannot delete system user {0}."`

### SENDING_EMAIL_FAILED

    public static final int SENDING_EMAIL_FAILED

  `"Sending email failed."`

### VARIABLE_EXISTS_AS_ANOTHER_TYPE

    public static final int VARIABLE_EXISTS_AS_ANOTHER_TYPE

  `"The specified variable name "{0}" is already defined as type "{1}"."`

### CANNOT_MAP_GROUP

    public static final int CANNOT_MAP_GROUP

  `"Cannot map the role "{0}" to the system group "{1}"."`

### MAPPING_NOT_NULL

    public static final int MAPPING_NOT_NULL

  `"Cannot map a role to a blank group."`

### NO_EJB_FOR_HANDLE

    public static final int NO_EJB_FOR_HANDLE

  `"Cannot dereference Handle to EJB for BO parameter"`

### IMPORTED_REPORT

    public static final int IMPORTED_REPORT

  `"The following components were imported:"`

### UNRESOLVED_REPORT

    public static final int UNRESOLVED_REPORT

  `"The following references could not be resolved:"`

### NONACTIVATED_REPORT

    public static final int NONACTIVATED_REPORT

  `"The following template definitions cannot be activated due to unresolved references:"`

### TEMPLATE

    public static final int TEMPLATE

  `"Template"`

### TEMPLATE_DEFINITION

    public static final int TEMPLATE_DEFINITION

  `"Template Definition"`

### BUSINESS_OPERATION

    public static final int BUSINESS_OPERATION

  `"Business Operation"`

### BUSINESS_CALENDAR

    public static final int BUSINESS_CALENDAR

  `"Business Calendar"`

### USER

    public static final int USER

  `"User"`

### ROLE

    public static final int ROLE

  `"Role"`

### ORG

    public static final int ORG

  `"Organization"`

### XML_REPOSITORY_FOLDER

    public static final int XML_REPOSITORY_FOLDER

  `"XML Repository Folder"`

### XML_REPOSITORY_ENTITY

    public static final int XML_REPOSITORY_ENTITY

  `"XML Repository Entity"`

### EVENT_KEY

    public static final int EVENT_KEY

  `"Event Key"`

### UNKNOWN_OBJECT

    public static final int UNKNOWN_OBJECT

  `"Object"`

### IMPORT_SUMMARY

    public static final int IMPORT_SUMMARY

  `"Finished import from file "{0}""`

### IMPORTED_OBJECT

    public static final int IMPORTED_OBJECT

  `"{0} : {1}"`

### UNRESOLVED_OBJECT

    public static final int UNRESOLVED_OBJECT

  `"{0} : {1} referenced by {2}"`

### FILE_NOT_FOUND

    public static final int FILE_NOT_FOUND

  `"File "{0}" was not found."`

### CANNOT_CREATE_BUSINESS_OPERATION

    public static final int CANNOT_CREATE_BUSINESS_OPERATION

  `"Cannot create the business operation, because the name "{0}" already exists."`

### CANNOT_UPDATE_BUSINESS_OPERATION

    public static final int CANNOT_UPDATE_BUSINESS_OPERATION

  `"Cannot update the business operation, because the name "{0}" already exists."`

### DEFAULT_DATE_FORMAT

    public static final int DEFAULT_DATE_FORMAT

  `"MM/dd/yyyy hh:mm:ss AM|PM GMT[+|-]hh[[:]mm]"`

### DATE_FORMAT_ERROR

    public static final int DATE_FORMAT_ERROR

  `"Cannot parse the string as a Date value, \nthe value "{0}" should follow \nthe format "MM/dd/yyyy hh:mm:ss AM|PM GMT[+|-]hh[[:]mm]"."`

### TEMPLATEDEFINITION_NOT_PUBLISHED

    public static final int TEMPLATEDEFINITION_NOT_PUBLISHED

  `"Cannot add a nonpublished template definition to a published template."`

### TEMPLATE_NOT_PUBLISHED

    public static final int TEMPLATE_NOT_PUBLISHED

  `"Cannot add a published template definition to a nonpublished template."`

### PUBLISHED_MISMATCH_REPORT

    public static final int PUBLISHED_MISMATCH_REPORT

  `"The following template definitions cannot be imported\ndue to published status mismatch with their templates:"`

### DATE_CONFLICT_REPORT

    public static final int DATE_CONFLICT_REPORT

  `""The following template definitions cannot be activated because an\nactive template definition with the same effective date already exists.`

### OBJECT_PUBLISHED_MISMATCH_REPORT

    public static final int OBJECT_PUBLISHED_MISMATCH_REPORT

  `"{0} "{1}" already exists with a different published status\nto the version you are trying to import; it cannot be over-written.\nDo you want to import the rest of the package?"`

### USER_NOT_ASSIGNED_TASK

    public static final int USER_NOT_ASSIGNED_TASK

  `"User {0} has not been assigned task {1}."`

### USER_NOT_IN_ASSIGNED_ROLE

    public static final int USER_NOT_IN_ASSIGNED_ROLE

  `"User {0} is not a member of the role {1} to which the task {2} was assigned."`

### USER_INVALID

    public static final int USER_INVALID

  `"Only characters and numbers are valid in user identifiers."`

### ROLE_INVALID

    public static final int ROLE_INVALID

  `"Only characters and numbers are valid in role identifiers."`

### ORG_INVALID

    public static final int ORG_INVALID

  `"Only characters and numbers are valid in organization identifiers."`

### EVAL_INCOMPATIBLE_RETURN_TYPE

    public static final int EVAL_INCOMPATIBLE_RETURN_TYPE

  `"The expression does not yield the required return type. Found: {0}, expected: {1}."`

### EXCEEDED_TEMPLATES

    public static final int EXCEEDED_TEMPLATES

  `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n$$$$$$$$$$$$$$$$$Invalid number of Templates For B2b Trading Partner License$$$$$$$$$$$$$$$$$."`

### UNCHECKED

    public static final int UNCHECKED

  `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\nLicense check did not occur or failed during initialization For B2b Trading Partner License"`

### RETRIEVING_INVALID_TEMPLATE

    public static final int RETRIEVING_INVALID_TEMPLATE

  `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n$$$$$$$$$$$$$$$$$Retrieving Invalid Templates For B2b Trading Partner License$$$$$$$$$$$$$$$$$"`

### ERROR_CHECKING_LICENSE

    public static final int ERROR_CHECKING_LICENSE

  `"network error or jndi error or ejb create error or workflow exception occured while checking templates For B2b Trading Partner License."`

### INVALID_WLI_DEVELOPER_LICENSE

    public static final int INVALID_WLI_DEVELOPER_LICENSE

  `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n$$$$$$$$$$$$$$$$$Invalid WLI Developer License$$$$$$$$$$$$$$$$$."`

### INVALID_LICENSE

    public static final int INVALID_LICENSE

  `"$$$$$$$$$Invalid License $$$$$$$$$$$$$$\n"`

### UNABLE_TO_CONVERT_DTD

    public static final int UNABLE_TO_CONVERT_DTD

  `"Unable to generate default document from DTD."`

### CONVERSION_FAILED

    public static final int CONVERSION_FAILED

  `"Unable to convert value {0} from {1} to required {2}."`

### ERROR_SETTING_JNDI_OBJECT

    public static final int ERROR_SETTING_JNDI_OBJECT

  `" Error while setting "{0}" license object in JNDI. "`

### JNDI_PATH_NOT_SET

    public static final int JNDI_PATH_NOT_SET

  `" The system cannot find jndi path to "{0}" license object. "`

### EVAL_NULL_NOTSUPPORTED

    public static final int EVAL_NULL_NOTSUPPORTED

  `" Null is not supported in current setting, please check your "wli.bpm.server.evaluator.supportsNull" parameter in your server startup command. "`

### TEMPLATEDEFINITION_NOT_FOUND

    public static final int TEMPLATEDEFINITION_NOT_FOUND

  `" Warning! The system could not find an active, effective template definition for template ID {0} and org ID {1} "`

### INVALID_ORG_FOR_TEMPLATEDEFINITION

    public static final int INVALID_ORG_FOR_TEMPLATEDEFINITION

  `" The org ID {0} is not valid for template definition ID {1} "`

### INVALID_PRIORITY_VALUE

    public static final int INVALID_PRIORITY_VALUE

  `" Invalid expression for Priority.\n The expression must evaluate to an integer."`

### INVALID_TIME_TO_LIVE_VALUE

    public static final int INVALID_TIME_TO_LIVE_VALUE

  `" Invalid expression for TimeToLive.\n The expression must evaluate to an integer."`

### EVENT_KEY_MISSING

    public static final int EVENT_KEY_MISSING

  `" No EventKey for ContentType="{0}" and EventDescriptor="{1}" exists."`

### INVALID_PACKAGE_VERSION

    public static final int INVALID_PACKAGE_VERSION

  `" The package you are trying to import uses a newer format than that supported by your server. You will need to upgrade the server to version {0} to import this package. "`

### ADDRESSED_MSG_RETRY_FAILED

    public static final int ADDRESSED_MSG_RETRY_FAILED

  `" An addressed message for instanceId {0} has been received but no matching instance was found. \nRetried {1} times with a {2} millisecond delay, but did not find a match."`

### UNABLE_TO_LOCATE_REPOSITORY_ENTITY

    public static final int UNABLE_TO_LOCATE_REPOSITORY_ENTITY

  for file plugin

### READ_FILE_ERROR

    public static final int READ_FILE_ERROR

### WRITE_FILE_ERROR

    public static final int WRITE_FILE_ERROR

### FILE_EXIST

    public static final int FILE_EXIST

### NO_PERM_WRITE_FILE

    public static final int NO_PERM_WRITE_FILE

### FTP_FILE_ERROR

    public static final int FTP_FILE_ERROR

### NO_SUCH_FILE

    public static final int NO_SUCH_FILE

### NO_PERM_DELETE_FILE

    public static final int NO_PERM_DELETE_FILE

### DELETE_FILE_ERROR

    public static final int DELETE_FILE_ERROR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)